Subject: bug#49828: closed (Re: [PATCH v3 02/20] gnu: minetest: Search for mods in MINETEST_MOD_PATH.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 20 Aug 2021 11:47:02 +0000

Your bug report

#49828: [PATCH 00/20] Add minetest mods

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49828: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49828
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH v3 02/20] gnu: minetest: Search for mods in MINETEST_MOD_PATH.
From: Leo Prikler <[email-masked]>
To: Maxime Devos <[email-masked]>, [email-masked]
Date: Fri, 20 Aug 2021 13:45:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Maxime,

I've now pushed this patch set to master with the following
adjustments:

Am Dienstag, den 10.08.2021, 17:07 +0200 schrieb Maxime Devos:
> * gnu/packages/patches/Add-environment-variable-
> MINETEST_MOD_PATH.patch:
>   New file.
I've renamed this patch to minetest-add-MINETEST_MOD_PATH.patch and
adjusted the rest accordingly.  Please note, that patches should always
state which package they apply to in their name.

Furthermore I've followed up with patches, that move the existing
minetest packages to minetest.scm.

Thanks

Subject: [PATCH 00/20] Add minetest mods
From: Maxime Devos <[email-masked]>
To: [email-masked]
Date: Mon, 02 Aug 2021 17:46:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

This patch series adds a bunch of Minetest mods, but first,
it patches Minetest such that the mods will actually be found.
An importer for Minetest mods from ContentDB
(https://content.minetest.net) is included as well.

I have verified:

  * "guix lint" doesn't find any issues,
    except ‘no updated found for ...’ and some incorrect
    ‘... can be upgraded to’.

  * the source code doesn't appear to contain any malware

  * the license information

  * "./pre-inst-env guix build ALL-THE-NEW-PACKAGES" succeeds

  * "make check 'TESTS=tests/contentdb.scm'" succeeds

I've also constructed an environment (./pre-inst-env guix environment --ad-hoc)
containing all the mods and minetest, started minetest, created a new world,
enabled all the mods, and placed some random nodes and tried out "worldedit".
This seems to work, but I did not yet try out every mod.

I also constructed an environment with only "minetest" and tried out the
built-in ContentDB installer.  It still appears to work.

(The actual patches will be sent once debbugs gives me an issue number)

Maxime Devos (20):
  gnu: minetest: Respect --without-tests.
  gnu: minetest: Search for mods in MINETEST_MOD_PATH.
  gnu: minetest: New package module.
  build-system: Add 'minetest-mod-build-system'.
  build-system: minetest: Don't retain references to "bash-minimal".
  guix: Add ContentDB importer.
  gnu: Add minetest-mesecons.
  gnu: Add minetest-basic-materials.
  gnu: Add minetest-unifieddyes.
  gnu: Add minetest-pipeworks.
  gnu: Add minetest-coloredwood.
  gnu: Add minetest-ethereal.
  gnu: Add minetest-technic.
  gnu: Add minetest-throwing.
  gnu: Add minetest-throwing-arrows.
  gnu: Add minetest-unified-inventory.
  gnu: Add minetest-worldedit.
  gnu: Add minetest-mobs.
  gnu: Add minetest-mobs-animal.
  gnu: Add minetest-homedecor-modpack.

 Makefile.am                                   |   4 +
 doc/guix.texi                                 |  32 ++
 gnu/local.mk                                  |   2 +
 gnu/packages/games.scm                        |  14 +-
 gnu/packages/minetest.scm                     | 423 ++++++++++++++++++
 ...vironment-variable-MINETEST_MOD_PATH.patch | 115 +++++
 guix/build-system/minetest.scm                |  62 +++
 guix/import/contentdb.scm                     | 310 +++++++++++++
 guix/scripts/import.scm                       |   3 +-
 guix/scripts/import/contentdb.scm             | 106 +++++
 po/guix/POTFILES.in                           |   1 +
 tests/contentdb.scm                           | 227 ++++++++++
 12 files changed, 1293 insertions(+), 6 deletions(-)
 create mode 100644 gnu/packages/minetest.scm
 create mode 100644 gnu/packages/patches/Add-environment-variable-MINETEST_MOD_PATH.patch
 create mode 100644 guix/build-system/minetest.scm
 create mode 100644 guix/import/contentdb.scm
 create mode 100644 guix/scripts/import/contentdb.scm
 create mode 100644 tests/contentdb.scm